DeploySqlTestDeploymentRule
curl --request POST \
--url https://developer.synq.io/api/datachecks/sql-test-deployment-rules/v1/deployed \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentRule": {
"exclusiveQueryConfig": {
"query": {
"parts": [
{
"entityIds": {
"entityIds": [
"<string>"
]
}
}
]
},
"resolverQl": "<string>",
"renderedResolverQl": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"configId": "<string>"
}
}
'import requests
url = "https://developer.synq.io/api/datachecks/sql-test-deployment-rules/v1/deployed"
payload = { "deploymentRule": {
"exclusiveQueryConfig": {
"query": { "parts": [{ "entityIds": { "entityIds": ["<string>"] } }] },
"resolverQl": "<string>",
"renderedResolverQl": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"configId": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentRule: {
exclusiveQueryConfig: {
query: {parts: [{entityIds: {entityIds: ['<string>']}}]},
resolverQl: '<string>',
renderedResolverQl: '<string>'
},
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
configId: '<string>'
}
})
};
fetch('https://developer.synq.io/api/datachecks/sql-test-deployment-rules/v1/deployed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}synq.datachecks.sqltests.v1.SqlTestsDeploymentRulesService
DeploySqlTestDeploymentRule
Deploy (create or update) a SqlTestDeploymentRule and immediately sync tests onto its current match set.
POST
/
api
/
datachecks
/
sql-test-deployment-rules
/
v1
/
deployed
DeploySqlTestDeploymentRule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
SqlTestDeploymentRule dynamically deploys SQL test templates onto every table or view its selection matches, keeping them in sync as tables and columns change. Use it instead of authoring one SqlTest per table when the same set of checks should apply to many tables (e.g. "not_null(email) on every table that has an email column").
- SqlTestDeploymentRule
- SqlTestDeploymentRule
- SqlTestDeploymentRule
- SqlTestDeploymentRule
Show child attributes
Show child attributes
Response
200 - application/json
Success
The response is of type DeploySqlTestDeploymentRuleResponse · object.